Bug 1017983 - (CVE-2013-4421) CVE-2013-4421 dropbear: memory exhaustion DoS via large decompressed payloads
CVE-2013-4421 dropbear: memory exhaustion DoS via large decompressed payloads
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130508,repor...
: Security
Depends On: 1017985 1017986
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 18:08 EDT by Vincent Danen
Modified: 2015-07-31 03:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: dropbear 2013.59
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-04 03:55:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-10-10 18:08:51 EDT
It was reported [1] that versions of dropbear prior to 2013.59 suffered from a flaw where large decompressed payloads could cause memory exhaustion, resulting in a denial of service.

This has been fixed in git [2].  A CVE assignment is pending [3].

[1] https://matt.ucc.asn.au/dropbear/CHANGES
[2] https://secure.ucc.asn.au/hg/dropbear/rev/0bf76f54de6f
[3] http://www.openwall.com/lists/oss-security/2013/10/10/15
Comment 1 Vincent Danen 2013-10-10 18:11:34 EDT
Created dropbear tracking bugs for this issue:

Affects: fedora-all [bug 1017985]
Affects: epel-all [bug 1017986]
Comment 2 Fedora Update System 2013-10-18 15:48:06 EDT
dropbear-2013.59-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2013-10-18 15:53:12 EDT
dropbear-2013.59-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-10-25 13:38:39 EDT
dropbear-2013.59-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.